incubator-ctakes-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Chen, Pei" <Pei.C...@childrens.harvard.edu>
Subject cTAKES assertion Lucene version
Date Tue, 25 Sep 2012 21:13:38 GMT
Hi,
I was updating the assertion module to use the maven dependencies, but was getting the below
exception when using lucene core 3.5.0 from the parent which seems to be used by the other
modules.
Does anyone recall which version of Lucene does the featureFile11b should use?  Is this as
simple as rebuilding the index or something more involved???

9/25/12 5:08:35 PM - 10: org.mitre.medfacts.i2b2.cli.BatchRunner.loadEnabledFeaturesFromFile:
INFO: opening enabled features file: \ctakes\ctakes-assertion\resources\org\mitre\medfacts\resources\featureFile11b
9/25/12 5:08:46 PM - 10: org.apache.uima.tools.cvd.MainFrame.handleException(527): SEVERE:
Exception occurred
org.apache.uima.resource.ResourceInitializationException
                at org.apache.ctakes.core.resource.LuceneIndexReaderResourceImpl.load(LuceneIndexReaderResourceImpl.java:79)
...
Caused by: org.apache.lucene.index.IndexFormatTooOldException: Format version is not supported
(resource: ChecksumIndexInput(RAMInputStream(name=segments))): 20988 (needs to be between
-1 and -11). This version of Lucene only supports indexes created with release 1.9 and later.
                at org.apache.lucene.index.SegmentInfos.read(SegmentInfos.java:275)


Thanks,
Pei


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message